Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty
Class HttpStatus

    java.lang.Object
      org.mortbay.jetty.HttpStatus

    public class HttpStatus

extends java.lang.Object

Field Summary
`static java.lang.String` | `Accepted`
`static Buffer` | `Accepted_BUFFER`
`static java.lang.String` | `Bad_Gateway`
`static Buffer` | `Bad_Gateway_BUFFER`
`static java.lang.String` | `Bad_Request`
`static Buffer` | `Bad_Request_BUFFER`
`static BufferCache` | `CACHE`
`static java.lang.String` | `Conflict`
`static Buffer` | `Conflict_BUFFER`
`static java.lang.String` | `Continue`
`static Buffer` | `Continue_BUFFER`
`static java.lang.String` | `Created`
`static Buffer` | `Created_BUFFER`
`static java.lang.String` | `Expectation_Failed`
`static Buffer` | `Expectation_Failed_BUFFER`
`static java.lang.String` | `Failed_Dependency`
`static Buffer` | `Failed_Dependency_BUFFER`
`static java.lang.String` | `Forbidden`
`static Buffer` | `Forbidden_BUFFER`
`static java.lang.String` | `Found`
`static Buffer` | `Found_BUFFER`
`static java.lang.String` | `Gateway_Timeout`
`static Buffer` | `Gateway_Timeout_BUFFER`
`static java.lang.String` | `Gone`
`static Buffer` | `Gone_BUFFER`
`static java.lang.String` | `HTTP_Version_Not_Supported`
`static Buffer` | `HTTP_Version_Not_Supported_BUFFER`
`static java.lang.String` | `Insufficient_Storage`
`static Buffer` | `Insufficient_Storage_BUFFER`
`static java.lang.String` | `Internal_Server_Error`
`static Buffer` | `Internal_Server_Error_BUFFER`
`static java.lang.String` | `Length_Required`
`static Buffer` | `Length_Required_BUFFER`
`static java.lang.String` | `Locked`
`static Buffer` | `Locked_BUFFER`
`static java.lang.String` | `Method_Not_Allowed`
`static Buffer` | `Method_Not_Allowed_BUFFER`
`static java.lang.String` | `Moved_Permanently`
`static Buffer` | `Moved_Permanently_BUFFER`
`static java.lang.String` | `Moved_Temporarily`
`static Buffer` | `Moved_Temporarily_BUFFER`
`static java.lang.String` | `Multi_Status`
`static Buffer` | `Multi_Status_BUFFER`
`static java.lang.String` | `Multiple_Choices`
`static Buffer` | `Multiple_Choices_BUFFER`
`static java.lang.String` | `No_Content`
`static Buffer` | `No_Content_BUFFER`
`static java.lang.String` | `Non_Authoritative_Information`
`static Buffer` | `Non_Authoritative_Information_BUFFER`
`static java.lang.String` | `Not_Acceptable`
`static Buffer` | `Not_Acceptable_BUFFER`
`static java.lang.String` | `Not_Found`
`static Buffer` | `Not_Found_BUFFER`
`static java.lang.String` | `Not_Implemented`
`static Buffer` | `Not_Implemented_BUFFER`
`static java.lang.String` | `Not_Modified`
`static Buffer` | `Not_Modified_BUFFER`
`static java.lang.String` | `OK`
`static Buffer` | `OK_BUFFER`
`static int` | `ORDINAL_100_Continue`
`static int` | `ORDINAL_101_Switching_Protocols`
`static int` | `ORDINAL_102_Processing`
`static int` | `ORDINAL_200_OK`
`static int` | `ORDINAL_201_Created`
`static int` | `ORDINAL_202_Accepted`
`static int` | `ORDINAL_203_Non_Authoritative_Information`
`static int` | `ORDINAL_204_No_Content`
`static int` | `ORDINAL_205_Reset_Content`
`static int` | `ORDINAL_206_Partial_Content`
`static int` | `ORDINAL_207_Multi_Status`
`static int` | `ORDINAL_300_Multiple_Choices`
`static int` | `ORDINAL_301_Moved_Permanently`
`static int` | `ORDINAL_302_Found`
`static int` | `ORDINAL_302_Moved_Temporarily`
`static int` | `ORDINAL_303_See_Other`
`static int` | `ORDINAL_304_Not_Modified`
`static int` | `ORDINAL_305_Use_Proxy`
`static int` | `ORDINAL_400_Bad_Request`
`static int` | `ORDINAL_401_Unauthorized`
`static int` | `ORDINAL_402_Payment_Required`
`static int` | `ORDINAL_403_Forbidden`
`static int` | `ORDINAL_404_Not_Found`
`static int` | `ORDINAL_405_Method_Not_Allowed`
`static int` | `ORDINAL_406_Not_Acceptable`
`static int` | `ORDINAL_407_Proxy_Authentication_Required`
`static int` | `ORDINAL_408_Request_Timeout`
`static int` | `ORDINAL_409_Conflict`
`static int` | `ORDINAL_410_Gone`
`static int` | `ORDINAL_411_Length_Required`
`static int` | `ORDINAL_412_Precondition_Failed`
`static int` | `ORDINAL_413_Request_Entity_Too_Large`
`static int` | `ORDINAL_414_Request_URI_Too_Large`
`static int` | `ORDINAL_415_Unsupported_Media_Type`
`static int` | `ORDINAL_416_Requested_Range_Not_Satisfiable`
`static int` | `ORDINAL_417_Expectation_Failed`
`static int` | `ORDINAL_422_Unprocessable_Entity`
`static int` | `ORDINAL_423_Locked`
`static int` | `ORDINAL_424_Failed_Dependency`
`static int` | `ORDINAL_500_Internal_Server_Error`
`static int` | `ORDINAL_501_Not_Implemented`
`static int` | `ORDINAL_502_Bad_Gateway`
`static int` | `ORDINAL_503_Service_Unavailable`
`static int` | `ORDINAL_504_Gateway_Timeout`
`static int` | `ORDINAL_505_HTTP_Version_Not_Supported`
`static int` | `ORDINAL_507_Insufficient_Storage`
`static int` | `ORDINAL_999_Unknown`
`static java.lang.String` | `Partial_Content`
`static Buffer` | `Partial_Content_BUFFER`
`static java.lang.String` | `Payment_Required`
`static Buffer` | `Payment_Required_BUFFER`
`static java.lang.String` | `Precondition_Failed`
`static Buffer` | `Precondition_Failed_BUFFER`
`static java.lang.String` | `Processing`
`static Buffer` | `Processing_BUFFER`
`static java.lang.String` | `Proxy_Authentication_Required`
`static Buffer` | `Proxy_Authentication_Required_BUFFER`
`static java.lang.String` | `Request_Entity_Too_Large`
`static Buffer` | `Request_Entity_Too_Large_BUFFER`
`static java.lang.String` | `Request_Timeout`
`static Buffer` | `Request_Timeout_BUFFER`
`static java.lang.String` | `Request_URI_Too_Large`
`static Buffer` | `Request_URI_Too_Large_BUFFER`
`static java.lang.String` | `Requested_Range_Not_Satisfiable`
`static Buffer` | `Requested_Range_Not_Satisfiable_BUFFER`
`static java.lang.String` | `Reset_Content`
`static Buffer` | `Reset_Content_BUFFER`
`static java.lang.String` | `See_Other`
`static Buffer` | `See_Other_BUFFER`
`static java.lang.String` | `Service_Unavailable`
`static Buffer` | `Service_Unavailable_BUFFER`
`static java.lang.String` | `Switching_Protocols`
`static Buffer` | `Switching_Protocols_BUFFER`
`static java.lang.String` | `Unauthorized`
`static Buffer` | `Unauthorized_BUFFER`
`static java.lang.String` | `Unknown`
`static Buffer` | `Unknown_BUFFER`
`static java.lang.String` | `Unprocessable_Entity`
`static Buffer` | `Unprocessable_Entity_BUFFER`
`static java.lang.String` | `Unsupported_Media_Type`
`static Buffer` | `Unsupported_Media_Type_BUFFER`
`static java.lang.String` | `Use_Proxy`
`static Buffer` | `Use_Proxy_BUFFER`

Constructor Summary
`HttpStatus()`

Method Summary
`static Buffer` | `getResponseLine(int status)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### Continue

    public static final java.lang.String Continue

See Also:
  Constant Field Values

### Switching_Protocols

    public static final java.lang.String Switching_Protocols

See Also:
  Constant Field Values

### Processing

    public static final java.lang.String Processing

See Also:
  Constant Field Values

### OK

    public static final java.lang.String OK

See Also:
  Constant Field Values

### Created

    public static final java.lang.String Created

See Also:
  Constant Field Values

### Accepted

    public static final java.lang.String Accepted

See Also:
  Constant Field Values

### Non_Authoritative_Information

    public static final java.lang.String Non_Authoritative_Information

See Also:
  Constant Field Values

### No_Content

    public static final java.lang.String No_Content

See Also:
  Constant Field Values

### Reset_Content

    public static final java.lang.String Reset_Content

See Also:
  Constant Field Values

### Partial_Content

    public static final java.lang.String Partial_Content

See Also:
  Constant Field Values

### Multi_Status

    public static final java.lang.String Multi_Status

See Also:
  Constant Field Values

### Multiple_Choices

    public static final java.lang.String Multiple_Choices

See Also:
  Constant Field Values

### Moved_Permanently

    public static final java.lang.String Moved_Permanently

See Also:
  Constant Field Values

### Moved_Temporarily

    public static final java.lang.String Moved_Temporarily

See Also:
  Constant Field Values

### Found

    public static final java.lang.String Found

See Also:
  Constant Field Values

### See_Other

    public static final java.lang.String See_Other

See Also:
  Constant Field Values

### Not_Modified

    public static final java.lang.String Not_Modified

See Also:
  Constant Field Values

### Use_Proxy

    public static final java.lang.String Use_Proxy

See Also:
  Constant Field Values

### Bad_Request

    public static final java.lang.String Bad_Request

See Also:
  Constant Field Values

### Unauthorized

    public static final java.lang.String Unauthorized

See Also:
  Constant Field Values

### Payment_Required

    public static final java.lang.String Payment_Required

See Also:
  Constant Field Values

### Forbidden

    public static final java.lang.String Forbidden

See Also:
  Constant Field Values

### Not_Found

    public static final java.lang.String Not_Found

See Also:
  Constant Field Values

### Method_Not_Allowed

    public static final java.lang.String Method_Not_Allowed

See Also:
  Constant Field Values

### Not_Acceptable

    public static final java.lang.String Not_Acceptable

See Also:
  Constant Field Values

### Proxy_Authentication_Required

    public static final java.lang.String Proxy_Authentication_Required

See Also:
  Constant Field Values

### Request_Timeout

    public static final java.lang.String Request_Timeout

See Also:
  Constant Field Values

### Conflict

    public static final java.lang.String Conflict

See Also:
  Constant Field Values

### Gone

    public static final java.lang.String Gone

See Also:
  Constant Field Values

### Length_Required

    public static final java.lang.String Length_Required

See Also:
  Constant Field Values

### Precondition_Failed

    public static final java.lang.String Precondition_Failed

See Also:
  Constant Field Values

### Request_Entity_Too_Large

    public static final java.lang.String Request_Entity_Too_Large

See Also:
  Constant Field Values

### Request_URI_Too_Large

    public static final java.lang.String Request_URI_Too_Large

See Also:
  Constant Field Values

### Unsupported_Media_Type

    public static final java.lang.String Unsupported_Media_Type

See Also:
  Constant Field Values

### Requested_Range_Not_Satisfiable

    public static final java.lang.String Requested_Range_Not_Satisfiable

See Also:
  Constant Field Values

### Expectation_Failed

    public static final java.lang.String Expectation_Failed

See Also:
  Constant Field Values

### Unprocessable_Entity

    public static final java.lang.String Unprocessable_Entity

See Also:
  Constant Field Values

### Locked

    public static final java.lang.String Locked

See Also:
  Constant Field Values

### Failed_Dependency

    public static final java.lang.String Failed_Dependency

See Also:
  Constant Field Values

### Internal_Server_Error

    public static final java.lang.String Internal_Server_Error

See Also:
  Constant Field Values

### Not_Implemented

    public static final java.lang.String Not_Implemented

See Also:
  Constant Field Values

### Bad_Gateway

    public static final java.lang.String Bad_Gateway

See Also:
  Constant Field Values

### Service_Unavailable

    public static final java.lang.String Service_Unavailable

See Also:
  Constant Field Values

### Gateway_Timeout

    public static final java.lang.String Gateway_Timeout

See Also:
  Constant Field Values

### HTTP_Version_Not_Supported

    public static final java.lang.String HTTP_Version_Not_Supported

See Also:
  Constant Field Values

### Insufficient_Storage

    public static final java.lang.String Insufficient_Storage

See Also:
  Constant Field Values

### Unknown

    public static final java.lang.String Unknown

See Also:
  Constant Field Values

### ORDINAL_100_Continue

    public static final int ORDINAL_100_Continue

See Also:
  Constant Field Values

### ORDINAL_101_Switching_Protocols

    public static final int ORDINAL_101_Switching_Protocols

See Also:
  Constant Field Values

### ORDINAL_102_Processing

    public static final int ORDINAL_102_Processing

See Also:
  Constant Field Values

### ORDINAL_200_OK

    public static final int ORDINAL_200_OK

See Also:
  Constant Field Values

### ORDINAL_201_Created

    public static final int ORDINAL_201_Created

See Also:
  Constant Field Values

### ORDINAL_202_Accepted

    public static final int ORDINAL_202_Accepted

See Also:
  Constant Field Values

### ORDINAL_203_Non_Authoritative_Information

    public static final int ORDINAL_203_Non_Authoritative_Information

See Also:
  Constant Field Values

### ORDINAL_204_No_Content

    public static final int ORDINAL_204_No_Content

See Also:
  Constant Field Values

### ORDINAL_205_Reset_Content

    public static final int ORDINAL_205_Reset_Content

See Also:
  Constant Field Values

### ORDINAL_206_Partial_Content

    public static final int ORDINAL_206_Partial_Content

See Also:
  Constant Field Values

### ORDINAL_207_Multi_Status

    public static final int ORDINAL_207_Multi_Status

See Also:
  Constant Field Values

### ORDINAL_300_Multiple_Choices

    public static final int ORDINAL_300_Multiple_Choices

See Also:
  Constant Field Values

### ORDINAL_301_Moved_Permanently

    public static final int ORDINAL_301_Moved_Permanently

See Also:
  Constant Field Values

### ORDINAL_302_Moved_Temporarily

    public static final int ORDINAL_302_Moved_Temporarily

See Also:
  Constant Field Values

### ORDINAL_302_Found

    public static final int ORDINAL_302_Found

See Also:
  Constant Field Values

### ORDINAL_303_See_Other

    public static final int ORDINAL_303_See_Other

See Also:
  Constant Field Values

### ORDINAL_304_Not_Modified

    public static final int ORDINAL_304_Not_Modified

See Also:
  Constant Field Values

### ORDINAL_305_Use_Proxy

    public static final int ORDINAL_305_Use_Proxy

See Also:
  Constant Field Values

### ORDINAL_400_Bad_Request

    public static final int ORDINAL_400_Bad_Request

See Also:
  Constant Field Values

### ORDINAL_401_Unauthorized

    public static final int ORDINAL_401_Unauthorized

See Also:
  Constant Field Values

### ORDINAL_402_Payment_Required

    public static final int ORDINAL_402_Payment_Required

See Also:
  Constant Field Values

### ORDINAL_403_Forbidden

    public static final int ORDINAL_403_Forbidden

See Also:
  Constant Field Values

### ORDINAL_404_Not_Found

    public static final int ORDINAL_404_Not_Found

See Also:
  Constant Field Values

### ORDINAL_405_Method_Not_Allowed

    public static final int ORDINAL_405_Method_Not_Allowed

See Also:
  Constant Field Values

### ORDINAL_406_Not_Acceptable

    public static final int ORDINAL_406_Not_Acceptable

See Also:
  Constant Field Values

### ORDINAL_407_Proxy_Authentication_Required

    public static final int ORDINAL_407_Proxy_Authentication_Required

See Also:
  Constant Field Values

### ORDINAL_408_Request_Timeout

    public static final int ORDINAL_408_Request_Timeout

See Also:
  Constant Field Values

### ORDINAL_409_Conflict

    public static final int ORDINAL_409_Conflict

See Also:
  Constant Field Values

### ORDINAL_410_Gone

    public static final int ORDINAL_410_Gone

See Also:
  Constant Field Values

### ORDINAL_411_Length_Required

    public static final int ORDINAL_411_Length_Required

See Also:
  Constant Field Values

### ORDINAL_412_Precondition_Failed

    public static final int ORDINAL_412_Precondition_Failed

See Also:
  Constant Field Values

### ORDINAL_413_Request_Entity_Too_Large

    public static final int ORDINAL_413_Request_Entity_Too_Large

See Also:
  Constant Field Values

### ORDINAL_414_Request_URI_Too_Large

    public static final int ORDINAL_414_Request_URI_Too_Large

See Also:
  Constant Field Values

### ORDINAL_415_Unsupported_Media_Type

    public static final int ORDINAL_415_Unsupported_Media_Type

See Also:
  Constant Field Values

### ORDINAL_416_Requested_Range_Not_Satisfiable

    public static final int ORDINAL_416_Requested_Range_Not_Satisfiable

See Also:
  Constant Field Values

### ORDINAL_417_Expectation_Failed

    public static final int ORDINAL_417_Expectation_Failed

See Also:
  Constant Field Values

### ORDINAL_422_Unprocessable_Entity

    public static final int ORDINAL_422_Unprocessable_Entity

See Also:
  Constant Field Values

### ORDINAL_423_Locked

    public static final int ORDINAL_423_Locked

See Also:
  Constant Field Values

### ORDINAL_424_Failed_Dependency

    public static final int ORDINAL_424_Failed_Dependency

See Also:
  Constant Field Values

### ORDINAL_500_Internal_Server_Error

    public static final int ORDINAL_500_Internal_Server_Error

See Also:
  Constant Field Values

### ORDINAL_501_Not_Implemented

    public static final int ORDINAL_501_Not_Implemented

See Also:
  Constant Field Values

### ORDINAL_502_Bad_Gateway

    public static final int ORDINAL_502_Bad_Gateway

See Also:
  Constant Field Values

### ORDINAL_503_Service_Unavailable

    public static final int ORDINAL_503_Service_Unavailable

See Also:
  Constant Field Values

### ORDINAL_504_Gateway_Timeout

    public static final int ORDINAL_504_Gateway_Timeout

See Also:
  Constant Field Values

### ORDINAL_505_HTTP_Version_Not_Supported

    public static final int ORDINAL_505_HTTP_Version_Not_Supported

See Also:
  Constant Field Values

### ORDINAL_507_Insufficient_Storage

    public static final int ORDINAL_507_Insufficient_Storage

See Also:
  Constant Field Values

### ORDINAL_999_Unknown

    public static final int ORDINAL_999_Unknown

See Also:
  Constant Field Values

### CACHE

    public static final BufferCache CACHE

### Continue_BUFFER

    public static final Buffer Continue_BUFFER

### Switching_Protocols_BUFFER

    public static final Buffer Switching_Protocols_BUFFER

### Processing_BUFFER

    public static final Buffer Processing_BUFFER

### OK_BUFFER

    public static final Buffer OK_BUFFER

### Created_BUFFER

    public static final Buffer Created_BUFFER

### Accepted_BUFFER

    public static final Buffer Accepted_BUFFER

### Non_Authoritative_Information_BUFFER

    public static final Buffer Non_Authoritative_Information_BUFFER

### No_Content_BUFFER

    public static final Buffer No_Content_BUFFER

### Reset_Content_BUFFER

    public static final Buffer Reset_Content_BUFFER

### Partial_Content_BUFFER

    public static final Buffer Partial_Content_BUFFER

### Multi_Status_BUFFER

    public static final Buffer Multi_Status_BUFFER

### Multiple_Choices_BUFFER

    public static final Buffer Multiple_Choices_BUFFER

### Moved_Permanently_BUFFER

    public static final Buffer Moved_Permanently_BUFFER

### Moved_Temporarily_BUFFER

    public static final Buffer Moved_Temporarily_BUFFER

### Found_BUFFER

    public static final Buffer Found_BUFFER

### See_Other_BUFFER

    public static final Buffer See_Other_BUFFER

### Not_Modified_BUFFER

    public static final Buffer Not_Modified_BUFFER

### Use_Proxy_BUFFER

    public static final Buffer Use_Proxy_BUFFER

### Bad_Request_BUFFER

    public static final Buffer Bad_Request_BUFFER

### Unauthorized_BUFFER

    public static final Buffer Unauthorized_BUFFER

### Payment_Required_BUFFER

    public static final Buffer Payment_Required_BUFFER

### Forbidden_BUFFER

    public static final Buffer Forbidden_BUFFER

### Not_Found_BUFFER

    public static final Buffer Not_Found_BUFFER

### Method_Not_Allowed_BUFFER

    public static final Buffer Method_Not_Allowed_BUFFER

### Not_Acceptable_BUFFER

    public static final Buffer Not_Acceptable_BUFFER

### Proxy_Authentication_Required_BUFFER

    public static final Buffer Proxy_Authentication_Required_BUFFER

### Request_Timeout_BUFFER

    public static final Buffer Request_Timeout_BUFFER

### Conflict_BUFFER

    public static final Buffer Conflict_BUFFER

### Gone_BUFFER

    public static final Buffer Gone_BUFFER

### Length_Required_BUFFER

    public static final Buffer Length_Required_BUFFER

### Precondition_Failed_BUFFER

    public static final Buffer Precondition_Failed_BUFFER

### Request_Entity_Too_Large_BUFFER

    public static final Buffer Request_Entity_Too_Large_BUFFER

### Request_URI_Too_Large_BUFFER

    public static final Buffer Request_URI_Too_Large_BUFFER

### Unsupported_Media_Type_BUFFER

    public static final Buffer Unsupported_Media_Type_BUFFER

### Requested_Range_Not_Satisfiable_BUFFER

    public static final Buffer Requested_Range_Not_Satisfiable_BUFFER

### Expectation_Failed_BUFFER

    public static final Buffer Expectation_Failed_BUFFER

### Unprocessable_Entity_BUFFER

    public static final Buffer Unprocessable_Entity_BUFFER

### Locked_BUFFER

    public static final Buffer Locked_BUFFER

### Failed_Dependency_BUFFER

    public static final Buffer Failed_Dependency_BUFFER

### Internal_Server_Error_BUFFER

    public static final Buffer Internal_Server_Error_BUFFER

### Not_Implemented_BUFFER

    public static final Buffer Not_Implemented_BUFFER

### Bad_Gateway_BUFFER

    public static final Buffer Bad_Gateway_BUFFER

### Service_Unavailable_BUFFER

    public static final Buffer Service_Unavailable_BUFFER

### Gateway_Timeout_BUFFER

    public static final Buffer Gateway_Timeout_BUFFER

### HTTP_Version_Not_Supported_BUFFER

    public static final Buffer HTTP_Version_Not_Supported_BUFFER

### Insufficient_Storage_BUFFER

    public static final Buffer Insufficient_Storage_BUFFER

### Unknown_BUFFER

    public static final Buffer Unknown_BUFFER

Constructor Detail

### HttpStatus

    public HttpStatus()

Method Detail

### getResponseLine

    public static Buffer getResponseLine(int status)

  Parameters:
    `status` -
  Returns:
    HTTP response line for the status code including CRLF

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.